---
title: String.prototype.trim()
slug: Web/JavaScript/Reference/Global_Objects/String/Trim
tags:
  - ECMAScript 5
  - JavaScript
  - Method
  - Prototype
  - Reference
  - String
---
<div>{{JSRef}}</div>

<p>The <strong><code>trim()</code></strong> method removes whitespace from both ends of a string. Whitespace in this context is all the whitespace characters (space, tab, no-break space, etc.) and all the line terminator characters (LF, CR, etc.).</p>

<div>{{EmbedInteractiveExample("pages/js/string-trim.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code><var>str</var>.trim()</code></pre>

<h3 id="Return_value">Return value</h3>

<p>A new string representing the <code><var>str</var></code> stripped of whitespace from both ends.</p>

<h2 id="Description">Description</h2>

<p>The <code>trim()</code> method returns the string stripped of whitespace from both ends. <code>trim()</code> does not affect the value of the <code><var>str</var></code> itself.</p>

<h2 id="Polyfill">Polyfill</h2>

<p>Running the following code before any other code will create <code>trim()</code> if it's not natively available.</p>

<pre class="brush: js">if (!String.prototype.trim) {
  String.prototype.trim = function () {
    return this.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, '');
  };
}
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Using_trim">Using <code>trim()</code></h3>

<p>The following example displays the lowercase string <code>'foo'</code>:</p>

<pre class="brush: js">var orig = '   foo  ';
console.log(orig.trim()); // 'foo'

// Another example of .trim() removing whitespace from just one side.

var orig = 'foo    ';
console.log(orig.trim()); // 'foo'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string.prototype.trim', 'String.prototype.trim')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("javascript.builtins.String.trim")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("String.prototype.trimStart()")}}</li>
 <li>{{jsxref("String.prototype.trimEnd()")}}</li>
</ul>
